உள்ளடக்கத்திற்குச் செல்க

Image Preprocessors · Teed

ஒருங்கிணை

மாடல் id image-preprocessors/teed
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-preprocessors/teed?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: ≈$0.003 3 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Utility படத் திருத்தம் #preprocess#detection#utility#controlnet

TEED கண்டறிதல் மூலம் படத்திலிருந்து கோட்டு விளிம்புகளைப் பிரித்தெடுக்கிறது; கூடுதல் விருப்பங்கள் எதுவும் இல்லை

Utility · படம்

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை image_url
கோப்பை விடுங்கள் அல்லது

செயலாக்கப்பட வேண்டிய படத்திற்குச் சுட்டும் URL.

POST /run/image-preprocessors/teed?wait=20 விலை → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-preprocessors/teed?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Image Preprocessors · Teed பற்றி

`image_url`-ஐ உள்ளீடாகப் பெற்று, TEED விளிம்பு கண்டறிதலால் கண்டறியப்பட்ட கோடுகளின் படத்தைத் திருப்பியளிக்கும் முன்செயலி. சரிசெய்யும் அளவுருக்கள் எதுவும் இல்லாததால், அழைப்பது எளிது. வெளியீடு விளிம்புக் கண்டிஷனிங்கிற்காகப் பயன்படுத்தப்படுகிறது.

அளவுருக்கள்

நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
image_urlதேவை image
வகைurl · image
செயலாக்கப்பட வேண்டிய படத்திற்குச் சுட்டும் URL.
தேவை நியமப் பெயர், இதுவும் ஏற்கப்படும்

கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-preprocessors/teed",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
image
object {url, content_type, file_name, file_size, width, height}TeeD கண்டறிந்த கோடுகளைக் காட்டும் படம்.

மேலும் மாதிரிகள்: படத் திருத்தம்

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/image-preprocessors/teed.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt